List user role assignments
Returns role assignments for a user. Each item’s id is the assignment ID used by DELETE revoke. Scoped to your integration’s institution via Basic Auth credentials.
GET
/users/{id}/rolesPath parameters
idstringrequiredQuery parameters
cursorstringlimitintegermin 1 · max 100 · default: 10
Responses
200List of role assignments
dataRoleAssignment[]requiredShow propertiesHide properties
Array of
RoleAssignmentidstringrequiredroleIdstring | nullroleobject | nullShow propertiesHide properties
idstringnamestringcolorstringlayerIdstring | nullcourseCodestring | nullcohortIdstring | nullstudyProgramIdstring | nullcreatedAtstring<date-time>requiredpaginationCursorPaginationrequiredShow propertiesHide properties
next_cursorstring | nullrequiredhas_morebooleanrequiredlimitintegerrequiredmetaResponseMetarequiredShow propertiesHide properties
requestIdstringrequiredtimestampstring<date-time>requiredversionstringrequiredAllowed:
v4401Unauthorized
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring404Not Found
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring429Too Many Requests
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring500Internal Server Error
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestringRequest
curl -X GET "https://fuxam.app/api/v4/users/string/roles"const response = await fetch("https://fuxam.app/api/v4/users/string/roles", {
method: "GET"
});import requests
response = requests.get(
"https://fuxam.app/api/v4/users/string/roles",
)Response
{
"data": [
{
"id": "clxassign1234",
"roleId": "clxrole1234",
"role": {
"id": "string",
"name": "string",
"color": "string"
},
"layerId": "string",
"courseCode": "string",
"cohortId": "string",
"studyProgramId": "string",
"createdAt": "2024-01-01T00:00:00Z"
}
],
"pagination": {
"next_cursor": "string",
"has_more": true,
"limit": 0
},
"meta": {
"requestId": "req_1234567890_abc",
"timestamp": "2026-06-02T07:00:00.000Z",
"version": "v4"
}
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}